Split MatrixOps

26 Jun 2018 11:31 - John Abbott

Status: Closed Start date: 26 Jun 2018

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 3.55 hours

Target version: CoCoALib-0.99800 Spent time: 3.55 hours

Description

Consider splitting the file MatrixOps.C into subfiles with the same prefix.  Currently it is over 2000 lines long.

History

#1 - 01 Oct 2019 11:41 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99700

#2 - 09 Jan 2020 12:20 - John Abbott

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

#3 - 28 Aug 2020 13:47 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 30

For "other reasons" I have split off the code related to computing determinants: this code is now in MatrixOps-det.C

Amazingly, the det code is longer than all the rest put together :-/

Compiles, and all tests pass.

Not yet checked in.

PS moved signature to combinatorics.H and made it publicly available.

#4 - 25 Sep 2020 14:02 - John Abbott

- Status changed from In Progress to Resolved

- Assignee set to John Abbott

- % Done changed from 30 to 80

This is now mostly done.

There are now 7 files: original, adj, arith, det, KroneckerProd, LinKerZZ, norms, rank, rref.

I have not yet decided how to deal with LinKer, LinSolve, and inverse.

There really ought to be a single gauss impl (or at least fewer than there currently are!)
#5 - 29 Oct 2020 21:42 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

- Estimated time set to 3.55 h

The current situation is acceptable.  Further splitting might be a good idea at some point, but it is not so important.  If anything MatrixOps-det needs to

be split...

The question about a unified impl of gauss is already a separate issue (#1491).
